Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1594967 - ERROR Unable to connect to Neutron when when listing vms in horizon.
Summary: ERROR Unable to connect to Neutron when when listing vms in horizon.
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 12.0 (Pike)
Assignee: Nate Johnston
QA Contact: Toni Freger
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-25 21:17 UTC by Jeremy
Modified: 2018-11-07 23:39 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-26 22:02:10 UTC
Target Upstream Version:


Attachments (Terms of Use)
error (deleted)
2018-06-25 21:17 UTC, Jeremy
no flags Details

Description Jeremy 2018-06-25 21:17:58 UTC
Created attachment 1454494 [details]
error

Description of problem:
Horizon presents ERROR Unable to connect to Neutron when we click the project>compute> instances page in horizon.  This only happens when there are no vms in the instances list. For example if you filter out all vms or a project where no vms exist. At the same time as this error we see the following in the logs.


#/var/log/containers/horizon/horizon.log
2018-06-25 18:00:37,060 18 ERROR openstack_dashboard.api.neutron Unable to connect to Neutron: <html><body><h1>400 Bad request</h1>
Your browser sent an invalid request.
</body></html>
 
###neutron server.log
 
2018-06-25 19:48:14.679 473638 WARNING neutron.pecan_wsgi.controllers.root [req-2a0f51ce-de92-4a7a-a439-917e64de9049 a8ddff06249c4e0fa8b2543005b298ce 09546f39f71c4db0bcf00161316ead53 - default default] No controller found for: lbaas - returning response code 404: PecanNotFound
2018-06-25 19:48:14.680 473638 INFO neutron.pecan_wsgi.hooks.translation [req-2a0f51ce-de92-4a7a-a439-917e64de9049 a8ddff06249c4e0fa8b2543005b298ce 09546f39f71c4db0bcf00161316ead53 - default default] GET failed (client error): The resource could not be found.
2018-06-25 19:48:14.681 473638 INFO neutron.wsgi [req-2a0f51ce-de92-4a7a-a439-917e64de9049 a8ddff06249c4e0fa8b2543005b298ce 09546f39f71c4db0bcf00161316ead53 - default default] 172.16.1.8 "GET /v2.0/lbaas/loadbalancers?name=a891e4202470f11e8aff5fa163e2e73f HTTP/1.1" status: 404  len: 304 time: 0.0076160
2018-06-25 19:48:17.617 473638 WARNING neutron.pecan_wsgi.controllers.root [req-91ca6eb6-b5d1-406a-9264-015d50ddfa7c a8ddff06249c4e0fa8b2543005b298ce 09546f39f71c4db0bcf00161316ead53 - default default] No controller found for: lbaas - returning response code 404: PecanNotFound
2018-06-25 19:48:17.618 473638 INFO neutron.pecan_wsgi.hooks.translation [req-91ca6eb6-b5d1-406a-9264-015d50ddfa7c a8ddff06249c4e0fa8b2543005b298ce 09546f39f71c4db0bcf00161316ead53 - default default] GET failed (client error): The resource could not be found.
2018-06-25 19:48:17.618 473638 INFO neutron.wsgi [r


###no additional errors in neutron or nova even if debug logging is enabled.


Version-Release number of selected component (if applicable):
# rpm -qa |grep neutron
openstack-neutron-ml2-11.0.1-8.el7ost.noarch
python-neutronclient-6.5.0-1.el7ost.noarch
openstack-neutron-common-11.0.1-8.el7ost.noarch
puppet-neutron-11.3.0-2.el7ost.noarch
python-neutron-lib-1.9.1-1.el7ost.noarch
openstack-neutron-11.0.1-8.el7ost.noarch
python-neutron-11.0.1-8.el7ost.noarch


How reproducible:
100%

Steps to Reproduce:
1. open horizon project tab compute > instances. filter so no vms are shown 
2. then the neutron error occurs
3.

Actual results:
neutron errror

Expected results:
no neutron error

Additional info:



Seeing these lbaas errors, however lbaas isn't installed and no config for lbaas exists. The only thing I found was lbaas package in the horizon container, however lbaas is disabled there as well.


Note You need to log in before you can comment on or make changes to this bug.